/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomDocumentType_H___INT_
#define __GdomDocumentType_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomNode.h"
#include "GDOMObject.h"
#include "DocumentType.h"
G_BEGIN_DECLS
class GDOMDocumentType : public GDOMNode {
    typedef GDOMNode Base;
public:
    int get_gobj_type() { return GDOM_TYPE_DOCUMENT_TYPE; }
    GDOMDocumentType(PassRefPtr<WebCore::DocumentType> impl);
    WebCore::DocumentType* impl() const
    {
        return static_cast<WebCore::DocumentType*>(Base::impl());
    }
};
G_END_DECLS

#endif /* __GdomDocumentType_H___INT_*/
